Apache JMeter

## org.apache.jmeter.protocol.http.parser
Class URLCollection

    java.lang.Object
      org.apache.jmeter.protocol.http.parser.URLCollection

    public class URLCollection

extends Object

Collection class designed for handling URLs Before a URL is added to the collection, it is wrapped in a URLString class. The iterator unwraps the URL before return. N.B. Designed for use by HTMLParser, so is not a full implementation - e.g. does not support remove()

Constructor Summary
`URLCollection(Collection<URLString> c)` Creates a new URLCollection from an existing Collection

Method Summary
`boolean` `add(URL u)` Adds the URL to the Collection, first wrapping it in the URLString class
`boolean` `addURL(String url, URL baseUrl)` Convenience method for adding URLs to the collection If the url parameter is null or empty, nothing is done
`Iterator<URL>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLCollection

    public URLCollection(Collection<URLString> c)

  Creates a new URLCollection from an existing Collection

Method Detail

### add

    public boolean add(URL u)

  Adds the URL to the Collection, first wrapping it in the URLString class

  Parameters:
    `u` - URL to add
  Returns:
    boolean condition returned by the add() method of the underlying collection

### addURL

    public boolean addURL(String url,
                          URL baseUrl)

  Convenience method for adding URLs to the collection If the url parameter is null or empty, nothing is done

  Parameters:
    `url` - String, may be null or empty
    `baseUrl` -
  Returns:
    boolean condition returned by the add() method of the underlying collection

### iterator

    public Iterator<URL> iterator()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.